commit 326e82c03d0d9e60ae9591d3aa7ff6536628b3d1
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Thu Jan 4 10:56:08 2024 +0100

    Prepare for atop 2.10

M	AUTHORS
M	Makefile
M	atopconvert.c
M	man/atop.1
M	man/atopacctd.8
M	man/atopcat.1
M	man/atopconvert.1
M	man/atopgpud.8
M	man/atophide.1
M	man/atoprc.5
M	man/atopsar.1
M	photoproc.h
M	prev/netstats_wrong.h
A	prev/photoproc_210.h
M	prev/photosyst_20.h
M	prev/photosyst_21.h
A	prev/photosyst_210.h
M	prev/photosyst_22.h
M	prev/photosyst_23.h
M	prev/photosyst_24.h
M	prev/photosyst_25.h
M	prev/photosyst_26.h
M	prev/photosyst_27.h
M	prev/photosyst_28.h
M	prev/photosyst_29.h
M	version.h

commit ba78f4c29be88827a28f2613353322b5bda7bacc
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Wed Jan 3 13:09:38 2024 +0100

    Solve errors/warnings given by clang (issue #282)

M	atopsar.c
M	drawbar.c
M	photoproc.c
M	photosyst.h
M	utsnames.c
M	various.c

commit e6f66819337a824cf6562ac0b0fe0c5ce4c9f6a2
Merge: db78190 e379890
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 30 12:24:56 2023 +0100

    Merge branch 'ton31337-fix/cgroup2_handling'

commit e379890511816dd2f17c64d01cb5ed5d4f2ee3d9
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 30 12:22:42 2023 +0100

    Code improvements for cgroupv2 handling
    - removed uninitalized variable 'ret'
    - added break to while (fgets) loop to avoid unnecessary reading

M	photoproc.c

commit 9f681404798f51c4bfbf2439584eb9eee09b8ce7
Merge: db78190 fc4dc01
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 30 11:38:24 2023 +0100

    Merge branch 'fix/cgroup2_handling' of github.com:ton31337/atop into ton31337-fix/cgroup2_handling

commit db78190be28254698d9e6da397924470159e372c
Merge: d924b10 29e5c7a
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 30 11:35:03 2023 +0100

    Merge pull request #285 from ton31337/fix/add_cgroup_name
    
    json: Print cgroups'a name when using -J and the label

commit d924b101c5cf63a76434a88bb30c0e561a289c0a
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 30 10:51:42 2023 +0100

    Added parsable and json output related to #287

M	json.c
M	man/atop.1
M	parseable.c

commit 0cc44f948abf77be4b0f9b44ce296eb0e0d4bed4
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 30 10:43:22 2023 +0100

    Solved compilation error related to #287

M	showsys.c

commit 1a69462816845e55cd570ed007e49ffc6a4d3715
Merge: 14cfdc0 c46351a
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 30 10:30:56 2023 +0100

    Merge pull request #287 from bytedance/numa_hpuse
    
    add hpuse for per numa

commit c46351a1dec702b105f2cd786b9c1ea42c521820
Author: Ting Liu <liuting.0xffff@bytedance.com>
Date:   Thu Dec 7 16:36:02 2023 +0800

    add hpuse for per numa

M	deviate.c
M	man/atop.1
M	photosyst.c
M	photosyst.h
M	showlinux.c
M	showlinux.h
M	showsys.c

commit 14cfdc02343693b09ccfe3b2a10cb6544aaa04fa
Merge: 2ae4cbe 69f8b3b
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 2 12:05:47 2023 +0100

    Merge branch 'bytedance-add-TCPInCsumErrors'

commit 69f8b3b34e60aca0acee4d6c00fa07d2417b4707
Merge: 2ae4cbe 0db6e63
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 2 12:03:58 2023 +0100

    Merge branch 'add-TCPInCsumErrors' of github.com:bytedance/atop into bytedance-add-TCPInCsumErrors

commit 2ae4cbe21b3dd9d4f1b9b971a5946172ae877bb7
Merge: 244f4b9 442181e
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Dec 2 10:50:57 2023 +0100

    Merge pull request #252 from bytedance/always-create-logpath
    
    Fix atop.service & atop.daily: always create $LOGPATH

commit 244f4b99765b275ba563b757f875f46dfc524490
Merge: e2adfa9 808442f
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Nov 25 11:02:01 2023 +0100

    Merge pull request #283 from kappa/master
    
    Replace non-standard "ushort" type with "unsigned short"

commit e2adfa986d3d82be783bd6a9467ee0cf81722f8f
Merge: 3512fa1 d9844ad
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Nov 25 10:56:45 2023 +0100

    Merge pull request #281 from natoscott/fix-infiniband-sigfpe
    
    Avoid floating point exception with inactive Infiniband interfaces

commit 3512fa1e8d5255850fe0e86769954bc86cf27ef2
Merge: eb77182 03c5c4d
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Nov 25 10:55:05 2023 +0100

    Merge pull request #280 from ffontaine/master
    
    atop.h: include time.h

commit eb771824a0bfe52d54e633763d48b928c8c144d9
Merge: 8cadc35 062accb
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Nov 25 10:49:16 2023 +0100

    Merge branch 'bytedance-anonHugepages'

commit 062accb1af91680c0247b8a65eb86d7d760ba2cd
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Nov 25 10:47:52 2023 +0100

    Add anonymous THP to parsable and JSON output

M	json.c
M	man/atop.1
M	parseable.c

commit f1c06c98d000f5d90960ebcf761f474382f1c818
Merge: 8cadc35 55191a1
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Nov 25 10:28:33 2023 +0100

    Merge branch 'anonHugepages' of github.com:bytedance/atop into bytedance-anonHugepages
    
    Conflicts:
    	deviate.c
    	photosyst.h
    	showlinux.c

commit 29e5c7a1473efe0d550d34cd62c1a8bc761a95f2
Author: Donatas Abraitis <donatas@opensourcerouting.org>
Date:   Thu Nov 23 14:30:07 2023 +0200

    json: Add cgroup into PRC, PRM outputs
    
    Signed-off-by: Donatas Abraitis <donatas@opensourcerouting.org>

M	json.c

commit 75ed3f98e44046941b3209e672029beac1d3059f
Author: Donatas Abraitis <donatas@opensourcerouting.org>
Date:   Thu Nov 23 11:28:18 2023 +0200

    json: Print cgroups'a name when using -J and the label
    
    Before:
    
    ```
    % atop -X -J PRG 1 | jq
    {
          "pid": 514432,
          "name": "(php-fpm8.2)",
          "state": "E",
          "ruid": 69963,
          "rgid": 69963,
          "tgid": 514432,
          "nthr": 1,
          "st": "-E",
          "exitcode": 0,
          "btime": "1700730621",
          "cmdline": "(php-fpm: pool www                                          )",
          "ppid": 514430,
          "nthrrun": 0,
          "nthrslpi": 0,
          "nthrslpu": 0,
          "nthridle": 0,
          "euid": 0,
          "egid": 0,
          "elaps": "1299",
          "isproc": 1,
          "cid": "-"
        },
    ```
    
    After:
    ```
        {
          "pid": 526057,
          "name": "(php-fpm8.2)",
          "state": "S",
          "ruid": 70019,
          "rgid": 70019,
          "tgid": 526057,
          "nthr": 1,
          "st": "-E",
          "exitcode": 0,
          "btime": "1700731393",
          "cmdline": "(php-fpm: master process (/etc/php-fpm/php-fpm.conf)        )",
          "ppid": 1,
          "nthrrun": 0,
          "nthrslpi": 1,
          "nthrslpu": 0,
          "nthridle": 0,
          "euid": 70019,
          "egid": 70019,
          "elaps": "0",
          "isproc": 1,
          "cid": "-",
          "cgroup": "/u000000096"
        },
    ```
    
    Signed-off-by: Donatas Abraitis <donatas@opensourcerouting.org>

M	json.c

commit fc4dc01ea05aac3176fe3929dc58911f1740dc86
Author: Donatas Abraitis <donatas@opensourcerouting.org>
Date:   Thu Nov 23 10:37:47 2023 +0200

    cgroups: Handle cgroups2 support more granularly
    
    If you have a system mounted with both cgroupsv1, and cgroupsv2, you have something like:
    
    ```
    % cat /proc/1/cgroup
    13:perf_event:/
    12:memory:/init.scope
    11:rdma:/
    10:pids:/init.scope
    9:misc:/
    8:cpu,cpuacct:/init.scope
    7:cpuset:/
    6:freezer:/
    5:net_cls,net_prio:/
    4:hugetlb:/
    3:blkio:/init.scope
    2:devices:/init.scope
    1:name=systemd:/init.scope
    0::/init.scope
    ```
    
    With some systems you might have like this:
    
    ```
    % cat /proc/1/cgroup
    1:name=systemd:/
    0::/init.scope
    ```
    
    In both cases cgroupsv2 is activated and working fine.
    
    Let's relax a bit the check and parse the whole file for "0::" pattern instead
    of just relying on the first line (which is wrong at some cases).
    
    With patched version running `./atop -X`:
    
    ```
        PID          CPUWGT          CPUMAX          CPUMAXR          MEMMAX          MMMAXR          SWPMAX          SWMAXR            CPU          CMD                     CGROUP (horizontal scroll: <- and ->)  1/11
     481069             100             max             400%               -             max               -             max             7%          php-fpm8.2              /u00000000d
     481042             100             max             400%               -             max               -             max             6%          php-fpm8.2              /u00000000f
     481159             100             max             400%               -             max               -             max             6%          php-fpm8.2              /u00000000c
    ```
    
    Signed-off-by: Donatas Abraitis <donatas@opensourcerouting.org>

M	photoproc.c

commit 808442f87e25010f1322d5358bd45fa3176a6c08
Author: Alex Kapranoff <kappa@fb.com>
Date:   Tue Nov 21 15:03:32 2023 -0800

    Replace non-standard "ushort" type with "unsigned short"
    
    "ushort" is a typedef provided for System V compatibility in "sys/types.h" by *most* Linux toolchains.
    Android sys/types.h does not have it.
    
    All other parts of Atop use the standard "unsigned short" type.
    
    There are no downsides to the change and the upside is better compatibility by following the standard.

M	acctproc.c

commit 8cadc3540deeda885713df6b23e6bcd114225c43
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Wed Nov 15 20:24:35 2023 +0100

    Introduce MemAvailable value in JSON output

M	deviate.c
M	json.c
M	parseable.c
M	photosyst.c
M	photosyst.h
M	showsys.c

commit 852160686ae86bb9fae9c66494b89b329b9e2f4f
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Tue Nov 14 21:37:55 2023 +0100

    Introduce MemAvailable value in MEM line

M	deviate.c
M	man/atop.1
M	parseable.c
M	photosyst.c
M	photosyst.h
M	showlinux.c
M	showlinux.h
M	showsys.c

commit 73d85077bf1e73a4117364735ef2f76134350504
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Tue Nov 7 13:02:40 2023 +0100

    Proper treatment of option R for PSIZE calculation

M	atop.c
M	atop.h
M	showgeneric.c
M	various.c

commit 6522982bce9d1b8e599aa16736cd960866fb1691
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Tue Nov 7 13:01:40 2023 +0100

    Installation of atophide

M	Makefile
M	rpmspec/atop.specsystemd

commit 3f2be0a7a2558989966fdfb0d692ded662e0425d
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Tue Nov 7 09:08:59 2023 +0100

    Verify if atop runs privileged for options d, j and J

M	showgeneric.c

commit d9844adb4f70f660a4581cb02621ea60f4d53ef1
Author: Nathan Scott <nathans@redhat.com>
Date:   Mon Oct 30 17:21:14 2023 +1100

    Avoid floating point exception with inactive Infiniband interfaces (solves issue #279)

M	showlinux.c

commit 03c5c4dd29bc7590baccb55a36d61e7f4b39c1fe
Author: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date:   Sun Oct 29 18:56:35 2023 +0100

    atop.h: include time.h
    
    Include time.h to avoid the following build failure with musl:
    
    atop.h:157:1: error: unknown type name 'time_t'
      157 | time_t          normalize_epoch(time_t, long);
          | ^~~~~~
    atop.h:157:1: note: 'time_t' is defined in header '<time.h>'; did you forget to '#include <time.h>'?
    atop.h:157:40: error: expected ')' before 'long'
      157 | time_t          normalize_epoch(time_t, long);
          |                                        ^~~~~
          |                                        )
    
    Fixes:
     - http://autobuild.buildroot.org/results/e7ec8d16f2299320f374a0198c8e9b18a102b037
    
    Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

M	atop.h

commit 879a61a8f9c4c302a49bacebebf01a5a67f80d0d
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Oct 28 11:10:13 2023 +0200

    Do not start atop services during install (issue #199)

M	rpmspec/atop.specsystemd

commit 2ed621507a299d8ad6b71c8872d7ee5c3439e94e
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Oct 28 10:57:30 2023 +0200

    Rename legacy path /var/run to /run

M	atopacct.init
M	atopacct.service
M	atopacctd.c
M	atopacctd.h
M	netatop.h
M	netatopd.h

commit f72f7c06278ec9ad2209975eca67c2e3c0b3a44b
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Fri Oct 6 20:06:16 2023 +0200

    Avoid floating point exception when atopacctd fails (solves issue #277)

M	acctproc.c

commit f5ed1bc7a028937736d48031e6b51df3157eb86f
Merge: 5d4ff7c 73db5c1
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sun Oct 1 10:59:49 2023 +0200

    Merge branch 'bytedance-bytedance/support-seconds'

commit 73db5c149cbba18516fb72743e06913b618542d6
Merge: 5d4ff7c ab7fc7d
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sun Oct 1 10:58:42 2023 +0200

    Merge branch 'bytedance/support-seconds' of github.com:bytedance/atop into bytedance-bytedance/support-seconds

commit 5d4ff7c7f3b88c910e60bdf6d75eb9019486d7e0
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Fri Sep 1 16:34:46 2023 +0200

    Add references to netatop-bpf in documentation and code

M	README
M	README.md
M	man/atop.1
M	showgeneric.c

commit 00d79f6636cde7742df29ca04596d6feb474c6c6
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Tue Aug 29 14:21:56 2023 +0200

    Bug solution: convert shmrssreal to pages before use

M	drawbar.c

commit b332ffc79b41317111b18018ac37f800a0578658
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Tue Aug 29 14:18:29 2023 +0200

    Consider hostname localhost not as a container

M	utsnames.c

commit be0d24df6a187fb761f4043321597871373ab969
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Tue Aug 29 12:47:37 2023 +0200

    Determine container id or pod name for containerized processes
    Get the hostname related to a containerized process in a uniform
    way, no matter if the process is activated by Docker, Podman or
    Kubernetes (containerd). For this purpose atop temporarily connects
    to the UTS namespace of a process whenever such process deviates from
    the UTS namespace of systemd (PID 1). This specific hostname in general
    is the container ID (e.g. for Docker and Podman) or pod name (e.g. for
    Kubernetes).
    This new code replaces the code that determined the container ID by
    manipulating the cgroup path names of containerized processes.

M	Makefile
M	atop.h
M	deviate.c
M	drawbar.c
M	json.c
M	man/atop.1
M	parseable.c
M	photoproc.c
M	photoproc.h
M	rawlog.c
M	showgeneric.c
M	showgeneric.h
M	showlinux.c
M	showprocs.c
A	utsnames.c

commit 5a4053c3e1b98a12abed9e21856c95001b19e945
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Aug 19 13:09:05 2023 +0200

    Flag -z: abbreviate environment vars that are too long

M	man/atop.1
M	photoproc.c

commit 34cc726d34f3be2b25b1ee6ff63d03188cf129fd
Merge: 0d6288e 99e625e
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Aug 19 11:31:45 2023 +0200

    Merge branch 'jbd-env'

commit 99e625e17de7eb36f316dc28b5b82b15d4a2d009
Merge: 0d6288e 20c535e
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Aug 19 11:29:02 2023 +0200

    Merge branch 'env' of github.com:jbd/atop into jbd-env
    Minor cleanup of the source code.

commit 0d6288e5dd3f76656de0d5bfab282f9f5aa2bde0
Merge: 8596f31 7d1c32a
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Aug 19 09:46:41 2023 +0200

    Merge pull request #275 from pizhenwei/oom-adj
    
    Use -999 as OOM adj

commit 7d1c32a3ce69be87689de763777ad78b9b54e8fe
Author: zhenwei pi <pizhenwei@bytedance.com>
Date:   Wed Aug 9 11:23:48 2023 +0800

    Use -999 as OOM adj
    
    The atop deployment usually follows the rules:
    - atop MUST NOT exceed the cgroup resource limitations
    - atop has a higher priority on OOM
    
    OOM_SCORE_ADJ_MIN(-1000) is a magic number which could *not* be killed
    by memory cgroup, this breaks the rules.
    
    Detail of OOM_SCORE_ADJ_MIN, see linux/mm/oom_kill.c
    /*
     * Kill provided task unless it's secured by setting
     * oom_score_adj to OOM_SCORE_ADJ_MIN.
     */
    static int oom_kill_memcg_member(struct task_struct *task, void *message)
    {
            if (task->signal->oom_score_adj != OOM_SCORE_ADJ_MIN &&
                !is_global_init(task)) {
                    get_task_struct(task);
                    __oom_kill_process(task, message);
            }
            return 0;
    }
    
    Use -999 instead of -1000 as atop default OOM adj.
    
    Signed-off-by: zhenwei pi <pizhenwei@bytedance.com>

M	various.c

commit 8596f31d3c23b7ed7039213c805131ed908c43c5
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Aug 5 13:22:45 2023 +0200

    Keep track of larger huge pages as well
    
    In /proc/meminfo only metrics can be found about the smallest
    category of huge pages (e.g. 2MiB). With this modification atop
    also keeps track of the larger category of huge pages (e.g. 1GiB).

M	deviate.c
M	drawbar.c
M	json.c
M	man/atop.1
M	parseable.c
M	photosyst.c
M	photosyst.h
M	showsys.c

commit 0f6202808f4d59ad12240cba8479afe642dd01e8
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Thu Aug 3 12:26:15 2023 +0200

    Improved calculation of memory graph, including huge pages

M	drawbar.c
M	man/atop.1
M	showgeneric.h

commit d81e560489f35796bc1476d2258a9eb560da1dd1
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Wed Aug 2 12:28:26 2023 +0200

    Introduce zswap counters zswin and zswout

M	deviate.c
M	man/atop.1
M	parseable.c
M	photosyst.c
M	photosyst.h
M	showlinux.c
M	showlinux.h
M	showsys.c

commit 30226b9dcc0d2224c48eb875ce2877de46a648fc
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Mon Jul 31 20:48:12 2023 +0200

    Added glib2 dependency

M	README

commit 010f7d96a972473d4ae45075196b44d01ca6f6da
Merge: 2d4c7b7 b1ac229
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sun Jul 30 18:26:25 2023 +0200

    Merge branch 'bytedance-netatop-bpf2'

commit b1ac2294aa1a8b4f9310b2d43f8472818be93d26
Merge: 2d4c7b7 8431894
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jul 15 11:54:30 2023 +0200

    Add netatop-bpf interface

commit 2d4c7b73fd044c9c571a3a927ef3924f6844b438
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jul 15 10:03:28 2023 +0200

    Copy (part of) raw log to new raw log and optionally anonymize the data
    This program copies an input raw logfile to an output raw logfile,
    while offering the possibility to select a subset of the samples
    (begin time and/or end time). Optionally the samples can be anonymized
    (subsitute command names, the host name, logical volume names,
    etcetera by place holders, and wipe the command line arguments).

M	.gitignore
M	Makefile
A	atophide.c
M	man/atop.1
M	man/atopcat.1
M	man/atopconvert.1
A	man/atophide.1
M	man/atopsar.1

commit a8dd8064ad94f0de972064071b73f2a7b52ea843
Merge: 3dbb435 089d0be
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jul 15 09:56:26 2023 +0200

    Merge pull request #265 from bytedance/delay_container
    
    add RDELAY/BDELAY for container

commit 3dbb4357975abea919605f9b4541d6053ed9bfd1
Merge: 7c75e49 5820273
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jul 8 12:14:12 2023 +0200

    Merge pull request #268 from bytedance/exitproc_cid
    
    Exited process copy pre cid

commit 7c75e4976eabb105ba591bd5f5d48163e626be3d
Merge: 35330bc 4e0c147
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jul 8 12:10:26 2023 +0200

    Merge pull request #269 from natoscott/bargraph-memleak
    
    Resolve a memory leak when switching to bar graph mode (covscan)

commit 35330bc5c2aa74beaa6bbb2dc8a34f6fed7aaa64
Merge: c68e3f0 daf993e
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jul 8 11:51:32 2023 +0200

    Merge pull request #267 from natoscott/drawbar-tidyup
    
    Ensure correct type format specifiers used in ptrverify calls.

commit c68e3f054e5e9f9a9024b4e1dc00e0f776886efc
Merge: 74f64d0 799598f
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jul 8 11:48:33 2023 +0200

    Merge pull request #266 from Zugschlus/20230702-atoprc.5-typo
    
    Fix typo "upto" in atoprc.5

commit 4e0c147f681d2decbc220a538010173b4be86f84
Author: Nathan Scott <nathans@redhat.com>
Date:   Thu Jul 6 13:48:24 2023 +1000

    Resolve a memory leak when switching to bar graph mode (covscan)
    
    Tackles the following covscan issue in a MBARGRAPH switch case:
    >>>     CID 394863:  Resource leaks  (RESOURCE_LEAK)
    >>>     Variable "curlist" going out of scope leaks the storage it points to.

M	showgeneric.c

commit 089d0be024657f42c8075668cda27f5b238fc84d
Author: liutingjieni <liuting.0xffff@bytedance.com>
Date:   Thu Jun 29 17:10:42 2023 +0800

    add RDELAY/BDELAY for container

M	showgeneric.c
M	showlinux.c

commit 5820273091480c65d57e024c4f22e28daef373f4
Author: liuting.0xffff <liuting.0xffff@bytedance.com>
Date:   Wed Jul 5 16:06:21 2023 +0800

    Exited process copy pre cid

M	deviate.c

commit daf993ec47140608dab3c50d8391663531b070fe
Author: Nathan Scott <nathans@redhat.com>
Date:   Wed Jul 5 09:49:47 2023 +1000

    Ensure correct type format specifiers used in ptrverify calls.
    
    These issues were detected by the CodeQL static analysis tool
    ( https://github.com/github/codeql-action#readme )
    
    Also improved wording in some strings - the word 'failed' was
    duplicated accidentally in a few places.

M	drawbar.c

commit 8431894461e563b39405a3d68e42db713853690b
Author: liuting.0xffff <liuting.0xffff@bytedance.com>
Date:   Mon Jul 3 17:09:16 2023 +0800

    add NETATOPBPF flag to check

M	showgeneric.c
M	showlinux.c

commit 799598f083801cd0a1d604e011d2c0d0de3ed736
Author: Marc 'Zugschlus' Haber <mh+github@zugschlus.de>
Date:   Sun Jul 2 16:38:04 2023 +0200

    Fix typo "upto" in atoprc.5

M	man/atoprc.5

commit 74f64d00989d85de3a88643b25a5c8f9428830f1
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jul 1 23:25:25 2023 +0200

    Add option -Wformat-security during compilation

M	Makefile

commit 8f79c7f8f065cd99e828d66e00ba3210d419ba8e
Author: liuting.0xffff <liuting.0xffff@bytedance.com>
Date:   Wed Jun 28 20:46:38 2023 +0800

    supplement netatop-bpf

M	Makefile
M	atop.c
M	atop.h
M	deviate.c
M	netatop.h
A	netatopbpfif.c
M	photoproc.c
M	showgeneric.c
M	showprocs.c

commit f20faddb34c25f5e8a5a9bcb40f9d351c30d3f60
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jun 10 17:53:20 2023 +0200

    Solve malloc failure when starting atopsar for live measurement
    Only lock memory when the memory limit was successfully set
    to unlimited.

M	atopsar.c

commit 573cba4175fe87c9d803b4a8c95abb96b8d98706
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jun 10 14:13:02 2023 +0200

    Introduce separate counter for idle threads (solves #256)
    A separate counter will be maintained on system level and
    on process level for the number of idle threads (uninterruptible
    sleeping threads that do not count in the load average).

M	atopsar.c
M	deviate.c
M	json.c
M	man/atop.1
M	man/atopsar.1
M	parseable.c
M	photoproc.c
M	photoproc.h
M	rawlog.c
M	rawlog.h
M	showlinux.c
M	showlinux.h
M	showprocs.c
M	showsys.c

commit 321823f59094c000822acf7b9481ebd29e144495
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jun 10 11:50:33 2023 +0200

    Minor update in CMD description

M	man/atop.1

commit c47f9652149aed89c5c643c2841cc0ae34d8fc8a
Merge: 13a4178 f2fcee5
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jun 10 11:44:32 2023 +0200

    Merge pull request #259 from bytedance/CMD_change
    
    fix man/atop.1: exited processes CMD may be changed

commit 13a4178d1e00d429e56d2ff3334162933c320b9f
Merge: c243536 957ff64
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Sat Jun 10 11:39:34 2023 +0200

    Merge pull request #262 from BlackIkeEagle/fix-format-security
    
    Fix drawbar mvwprintw format-security error

commit 957ff648436fa4a6f08ad9a8c5ea856a5f33ef5b
Author: BlackEagle <ike.devolder@gmail.com>
Date:   Fri Jun 2 19:49:51 2023 +0200

    Fix drawbar mvwprintw format-security error
    
    When building with `-Werror=format-security` there are some issues with
    the use of mvwprintw in drawbar.c
    
    ```
    export CFLAGS="-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions \
            -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security \
            -fstack-clash-protection -fcf-protection"
    
    make
    ...
    cc -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -O2 -I. -Wall -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations    -c -o drawbar.o drawbar.c
    drawbar.c: In function ‘drawevent’:
    drawbar.c:2058:9: error: format not a string literal and no format arguments [-Werror=format-security]
     2058 |         mvwprintw(w->win, line, column, text);
          |         ^~~~~~~~~
    drawbar.c: In function ‘headergetch’:
    drawbar.c:2108:17: error: format not a string literal and no format arguments [-Werror=format-security]
     2108 |                 mvwprintw(headwin, 0, statcol, statusmsg);
          |                 ^~~~~~~~~
    drawbar.c: In function ‘getwininput’:
    drawbar.c:2331:9: error: format not a string literal and no format arguments [-Werror=format-security]
     2331 |         mvwprintw(mywin, 1, 1, prompt);
          |         ^~~~~~~~~
    cc1: some warnings being treated as errors
    make: *** [<builtin>: drawbar.o] Error 1
    ```
    
    By explicitly adding the format `"%s"` this error is fixed.
    
    Signed-off-by: BlackEagle <ike.devolder@gmail.com>

M	drawbar.c

commit c2435367a2a96436aaaa21c2135c164b2b591f02
Author: Gerlof Langeveld <gerlof.langeveld@atoptool.nl>
Date:   Fri May 26 16:03:51 2023 +0200

    Bug solution: not possible to switch directly from bar mode to command args

M	showgeneric.c

commit 55191a108f420bbae28dcec310a4f75dc7448463
Author: liutingjieni <liuting.0xffff@bytedance.com>
Date:   Tue May 16 16:37:30 2023 +0800

    supplement AnonHugepages memory consumption

M	deviate.c
M	man/atop.1
M	photosyst.c
M	photosyst.h
M	showlinux.c
M	showlinux.h
M	showsys.c

commit f2fcee5ba1a8cd8b5d2fc35692e4a6f441462e53
Author: Ting Liu <liuting.0xffff@bytedance.com>
Date:   Tue Apr 18 17:07:12 2023 +0800

    fix man/atop.1: exited processes CMD may be changed

M	man/atop.1

commit 442181e44102a2bfff9cc71782768d96bfbba73b
Author: Fei Li <lifei.shirley@bytedance.com>
Date:   Fri Jul 22 14:52:23 2022 +0800

    Fix atop.service & atop.daily: always create $LOGPATH
    
    In case users remove $LOGAPTH, create it whenever atop restarts.
    Or else, 'no such file or directory' error will occur.
    
    Signed-off-by: Fei Li <lifei.shirley@bytedance.com>

M	atop.daily
M	atop.service

commit 0db6e63fc49be4ba067a3c1017957d577c609983
Author: Fei Li <lifei.shirley@bytedance.com>
Date:   Tue Jul 27 21:20:05 2021 +0800

    Show InCsumErrors for TCP
    
    Sometimes the packet loss is due to a checksum error, esp, in virtual
    machine scenarios who usually offload the checking to its host.
    
    Signed-off-by: Fei Li <lifei.shirley@bytedance.com>

M	man/atop.1
M	netstats.h
M	parseable.c
M	showlinux.c
M	showlinux.h
M	showsys.c

commit 20c535ea017885b2afa96a0918274f375bcc7b6a
Author: Jean-Baptiste Denis <jbd@jbdenis.net>
Date:   Mon Dec 12 22:00:13 2022 +0100

    Add -z option to prepend matching environment variable to displayed command line.
    
    This option can be used to capture some environment variables and displaying them
    by prepending them to the command line. They are stored directly in the existing
    curtask->gen.cmdline variable. It consumes space not available for the real command
    line.

M	atop.c
M	man/atop.1
M	photoproc.c

commit ab7fc7d9db4d62a02b9974f04aeae23c10eeb432
Author: huteng.ht <huteng.ht@bytedance.com>
Date:   Fri Aug 13 15:57:13 2021 +0800

    Support second level precision.
    When selecting certain time period through -b and -e flags within the raw
    file, minute level precision is not nicety enough in some circumstances.
    
    Second level precision is provided, which can be pciked up by appending
    [YYYYMMDD]hhmmss form to the flags, meanwhile the old form [YYYYMMDD]hhmm
    is still retained.

M	atop.c
M	atopsar.c
M	man/atop.1
M	man/atopsar.1
M	showgeneric.c
M	various.c
